Qt 5.9 | Qt 3D | C++ Classes | QPointSize

Qt 5.9.3 Reference Documentation

# QPointSize Class

(Qt3DRender::QPointSize)

Specifies the size of rasterized points. May either be set statically or by shader programs. More...

Header: | #include <QPointSize>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | PointSize
Inherits: | Qt3DRender::QRenderState

- List of all members, including inherited members

## Public Types

enum | SizeMode { Fixed, Programmable }

## Properties

- sizeMode : SizeMode
- value : float

- 3 properties inherited from Qt3DCore::QNode

## Public Functions

| QPointSize(Qt3DCore::QNode *parent = nullptr)
SizeMode | sizeMode() const
float | value() const

- 11 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSizeMode(SizeMode sizeMode)
void | setValue(float value)

- 3 public slots inherited from Qt3DCore::QNode

## Signals

void | sizeModeChanged(SizeMode sizeMode)
void | valueChanged(float value)

- 4 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Specifies the size of rasterized points. May either be set statically or by shader programs.

When the sizeMode property is set to SizeMode::Fixed, the value is set using glPointSize(), if available. When using SizeMode::Programmable, gl_PointSize must be set within shader programs, the value provided to this RenderState is ignored in that case.

## Member Type Documentation

### enum QPointSize::SizeMode

This enumeration specifies values for the size mode.

Constant | Value | Description
--- | --- | ---
`Qt3DRender::QPointSize::Fixed` | `0` | The point size is by the QPointSize::value.
`Qt3DRender::QPointSize::Programmable` | `1` | The point size value must be set in shader

## Property Documentation

### sizeMode : SizeMode

Specifies the sizeMode to be used.

Access functions:

SizeMode | sizeMode() const
void | setSizeMode(SizeMode sizeMode)

Notifier signal:

void | sizeModeChanged(SizeMode sizeMode)

### value : float

Specifies the point size value to be used.

Access functions:

float | value() const
void | setValue(float value)

Notifier signal:

void | valueChanged(float value)

## Member Function Documentation

### QPointSize::QPointSize(Qt3DCore::QNode *parent = nullptr)

Default constructs an instance of QPointSize.